<?php 

/**
 * Integriertes Widget zur Verlinkung von Bildern
 *
 * @package spd2014
 */


class bySPDImagedLinkWidget extends WP_Widget {

        function bySPDImagedLinkWidget() 
	{
		$widget_ops = array('classname' => 'bySPDImagedLinkWidget', 'description' => 'Bildlink für persönliche Hompage im Sidebar.');
		$this->WP_Widget('bySPDImagedLinkWidget', 'BayernSPD - Verlinktes Bild', $widget_ops);
        }

        function widget($args, $instance) 
	{
                extract( $args, EXTR_SKIP );
		echo $before_widget;
		echo '<h5 class="widget-title">'.attribute_escape($instance['title']).'</h5><div>'.
                     '<a href="'.attribute_escape($instance['url']).'"><img class="img-responsive" src="'.attribute_escape($instance['imgurl']).'" alt="'.attribute_escape($instance['subtitle']).'"></a>'.
                     attribute_escape($instance['subtitle']).'</div>';
		echo $after_widget;
        }

        function form( $instance ) 
	{
		$instance = wp_parse_args( (array) $instance, array( 
		  'url' => 'http://bayernspd.de/',
                  'imgurl' => '',
		  'title' => 'Überschrift',
		  'subtitle' => 'Unterschrift'
		) );
		$url = $instance['url'];
                $imgurl = $instance['imgurl'];
		$title = $instance['title'];
		$subtitle = $instance['subtitle'];
?>
		<p><label for="<?php echo $this->get_field_id('url'); ?>">Zielseite der Weiterleitung:
		<input class="widefat" id="<?php echo $this->get_field_id('url'); ?>" name="<?php echo $this->get_field_name('url'); ?>" type="text" value="<?php echo attribute_escape($url); ?>" /></label></p>
                <p><label for="<?php echo $this->get_field_id('imgurl'); ?>">URL-Adresse des Bildes:
                <input class="widefat" id="<?php echo $this->get_field_id('imgurl'); ?>" name="<?php echo $this->get_field_name('imgurl'); ?>" type="text" value="<?php echo attribute_escape($imgurl); ?>" /></label></p>
		<p><label for="<?php echo $this->get_field_id('title'); ?>">Überschrift:
		<input class="widefat" id="<?php echo $this->get_field_id('title'); ?>" name="<?php echo $this->get_field_name('title'); ?>" type="text" value="<?php echo attribute_escape($title); ?>" /></label></p>
		<p><label for="<?php echo $this->get_field_id('subtitle'); ?>">Bildunterschrift:
		<input class="widefat" id="<?php echo $this->get_field_id('subtitle'); ?>" name="<?php echo $this->get_field_name('subtitle'); ?>" type="text" value="<?php echo attribute_escape($subtitle); ?>" /></label></p>
<?php
        }

 
	function update($new_instance, $old_instance)
	{
		$instance = $old_instance;
		$instance['url'] = $new_instance['url'];
                $instance['imgurl'] = $new_instance['imgurl'];    
		$instance['title'] = $new_instance['title'];
		$instance['subtitle'] = $new_instance['subtitle'];
		return $instance;
	}


}


add_action( 'widgets_init', create_function('', 'return register_widget("bySPDImagedLinkWidget");') );

?>
